Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.filter
Class AbstractFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          fr.gouv.culture.sdx.search.lucene.filter.AbstractFilter

All Implemented Interfaces:
  FilterCriteria, java.io.Serializable, org.apache.avalon.framework.logger.LogEnabled, org.apache.excalibur.xml.sax.XMLizable

Direct Known Subclasses:
  Criteria, Filter

    public abstract class AbstractFilter

extends org.apache.lucene.search.Filter
implements FilterCriteria, org.apache.avalon.framework.logger.LogEnabled, org.apache.excalibur.xml.sax.XMLizable

Basic implementation for a SDX Filter. Abstract class necessary to facilitate a correct interface with the Lucene API

See Also:
  Serialized Form

Field Summary
`protected org.apache.avalon.framework.logger.Logger` | `logger` Avalon super.getLog() to write information.

Constructor Summary
`AbstractFilter()`

Method Summary
`abstract java.util.BitSet` | `bits(org.apache.lucene.index.IndexReader r)` Applies the criteria and turns over the documents which satisfy it
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Set's the super.getLog()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### logger

    protected org.apache.avalon.framework.logger.Logger logger

  Avalon super.getLog() to write information.

Constructor Detail

### AbstractFilter

    public AbstractFilter()

Method Detail

### bits

    public abstract java.util.BitSet bits(org.apache.lucene.index.IndexReader r)

  Description copied from interface: `FilterCriteria`
  Applies the criteria and turns over the documents which satisfy it

  Specified by:
    `bits` in interface `FilterCriteria`
  Specified by:
    `bits` in class `org.apache.lucene.search.Filter`
  Parameters:
    `r` - The reader of the index.

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Set's the super.getLog()

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`
  Parameters:
    `logger` - The super.getLog() to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.